/*
  AntiRight
  (c) 2002-2006 Jeffrey Bedard
  antiright@gmail.com

  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "gtkshell.h"

GtkWidget *gsh_button;

void
gsh_command_button(struct GSH *gsh, char *command)
{
	char *label_text;
	struct GSH_CBData *cb;

	/* Allocate and initialize elements.  */
	cb=(struct GSH_CBData *)xmalloc(sizeof(struct GSH_CBData));
	cb->gsh=gsh;

	asprintf((char **)&cb->data, "%s", command);
	label_text = antiright_beautified_label(command);
	gsh->button = gtk_button_new_with_label(label_text);
	free(label_text);

	g_signal_connect(G_OBJECT(gsh->button), "clicked",
		G_CALLBACK(system_cb), cb);

	gsh_manage(gsh, gsh->button);

#ifdef DEBUG
	g_print("row: %d out of %d rows\n", gsh->rows.row, gsh->rows.rows);
#endif /* DEBUG */
}

void
gsh_image_button(struct GSH *gsh, char *command, char *filename)
{
	GtkWidget *image;
	image=gtk_image_new_from_file(filename);
	gsh_command_button(gsh, command);
	gtk_button_set_image(GTK_BUTTON(gsh->button), image);
	gtk_button_set_relief(GTK_BUTTON(gsh->button), GTK_RELIEF_NONE);
}

